@charset="utf-8";

* {
  vertical-align: baseline;
  box-sizing: border-box;
  font-feature-settings: "kern" 1, "liga" 1, "case" 1, "dlig" 1, "frac" 1;
  -webkit-font-feature-settings: "kern" 1, "liga" 1, "case" 1, "dlig" 1, "frac" 1;  /* No variation */
  -moz-font-feature-settings: "kern" 1, "liga" 1, "case" 1, "dlig" 1, "frac" 1;  /* Firefox 15.0 onwards explicitly set feature values */
  -ms-font-feature-settings: "kern" 1, "liga" 1, "case" 1, "dlig" 1, "frac" 1;
}
html, body {
  background-color: #8BCACC;
  margin: 0;
  height: 100%;
  padding: 0;
}
header p {
  width: 100%;
  background-color: #FEFEFE;
  margin: 0 0 2rem 0;
}
footer {
  margin-top: 3rem;
  padding: 0 5%;
}
footer p {
  font: .8rem/1.2rem 'Input Mono', normal;
  padding: 1.2rem 0 1.6rem 0;
  border-top: solid 1px #77B9BB;
  color: #3E6E70;
  opacity: .7;
}
canvas {
  background-color: #FEFEFE;
  margin-top: 1rem;
}
a:link, a:visited {
  color: rgb(169, 63, 70);
  text-decoration: none;
}
a:hover, a:focus, a:active {
  color: rgb(18, 18, 18);
  text-decoration: none;
}
.underlined {
  color: rgb(221, 87, 87);
}
.underlined.instance {
  background-color: rgb(221, 87, 87) !important;
}
.underlined.instance span {
  color: rgb(221, 87, 87) !important;
/*  opacity: .7;*/
}
.view {
  height: 100%;
}
.quadratic {
  border: solid black 2px;
}
#bezierSpace {
  background-color: #FEFEFE;
  width: auto;
  padding: 3rem 5% 3rem 5%;
  height: 20rem;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: -moz-flex;
  display: flex;
  flex-wrap: wrap;
  -moz-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  -webkit-flex-wrap: wrap;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -moz-justify-content: space-between;
  -ms-justify-content: space-between;
  -webkit-justify-content: space-between;
  -ms-flex-align: stretch;
  align-items: stretch;
  -moz-align-items: stretch;
  -ms-align-items: stretch;
  -webkit-align-items: stretch;
  overflow: hidden;
}
.cubic {
  margin: 0;
  display: none;
}
.instance {
  opacity: .7;
  width: 4px;
  height: 100%;
  background-color: #E39B53;
  font-family: "Input Mono";
  font-style: normal;
  font-weight: normal;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  -ms-flex-item-align: end;
  align-self: flex-end;
  -moz-align-self: flex-end;
  -webkit-align-self: flex-end;
  -ms-align-self: flex-end;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: -moz-flex;
  display: flex;
  flex-wrap: wrap;
  -moz-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  -webkit-flex-wrap: wrap;
  position: relative;
}
.instance:hover, .instance:active, .instance:focus {
  opacity: 1;
  background-color: #E39B53;
  font-size: 2em;
  cursor: pointer;
}
.instance:hover span, .instance:active span, .instance:focus span {
  top: 1.8rem;
  opacity: 1;
}
.instance span {
  font: .7rem/1.2rem 'Input Mono', normal;
  color: #E39B53;
  top: 2rem;
  left: -1.3rem;
  opacity: 0;
  width: auto;
  position: relative;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  -ms-flex-item-align: end;
  align-self: flex-end;
  -moz-align-self: flex-end;
  -webkit-align-self: flex-end;
  -ms-align-self: flex-end;
}
.multiple-input {
  width: 33%;
}
#inputs {
  margin: 1rem 5% 1rem 5%;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  display: -moz-flex;
  flex-wrap: wrap;
  -moz-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  -webkit-flex-wrap: wrap;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -moz-justify-content: space-between;
  -ms-justify-content: space-between;
  -webkit-justify-content: space-between;
  -ms-flex-align: stretch;
  align-items: stretch;
  -moz-align-items: stretch;
  -ms-align-items: stretch;
  -webkit-align-items: stretch;
}
.error {
  font: 1.2rem/1.6rem 'Input Mono', normal;
  max-width: 36rem;
  margin: auto auto;
  color: rgb(221, 87, 87);
  text-align: center;
}
.errorHighlight {
  background-color: rgb(221, 87, 87);
}
.codeCurve {
  -webkit-flex: 1 100%;
  -ms-flex: 1 100%;
  flex: 1 100%;
}
.graphicCurve {
  -webkit-flex: 1 100%;
  -ms-flex: 1 100%;
  flex: 1 100%;
}
#curveAmount {
}
#units {
  margin: 1rem 5% 1rem 5%;
  font-style: normal;
  font-weight: normal;
  font: .8rem/1.1rem 'Input Mono', normal;
}
#units form > input {
  width: 1.2rem;
  height: 1.2rem;
  border: 0px;
  vertical-align: middle;
  cursor: pointer;
 
  display: inline-block;
  text-transform: lowercase;
}
#units form .unit {
  margin-right: .8rem;
}
#example {
  margin: 1rem 5% 1rem 5%;
}
#example > div {
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  margin-bottom: 1px;
  font-style: normal;
  font-weight: normal;
  font: .7rem/1.2rem 'Input Mono', normal;
  color: transparent;
  height: .5rem;
  background-color: #77B9BB;
  padding-left: .4rem;
  display: -ms-flexbox;
  display: -webkit-flex;
}
#example > div > span {
  -ms-flex-item-align: center;
  align-self: center;
  -webkit-align-self: center;
  margin-left: .2rem;
  color: #FEFEFE;
  opacity: .3;
}
label {
  -webkit-flex: 1 100%;
  -ms-flex: 1 100%;
  flex: 1 100%;
  font-style: normal;
  font-weight: normal;
  font: .8rem/1.1rem 'Input Mono', normal;
  color: #333;
  margin: 1rem 0 .2rem 0;
  display: block;
  text-transform: uppercase;
}
input, .exportedCode {
  padding: .5rem;
  font-style: normal;
  font-weight: normal;
  font: .9rem/2rem 'Input Mono', normal;
  opacity: .3;
  padding: .3rem .7rem .23rem .7rem;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  border: solid #FEFEFE 1px;
  width: 100%;
}
.exportedCode {
  overflow: hidden;
  background-color: #FEFEFE;
  resize: none;
  height: auto;
  min-height: 3rem;
  max-height: 20rem;
}
.exportedCode span {
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
}
input:focus, input:active, .exportedCode:focus, .exportedCode:active {
  outline: none;
  border: solid #8BCACC 1px;
  opacity: 1;
  cursor: text;
}
input:hover {
  cursor: text;
}
#exported {
  margin: 1rem 5% 1rem 5%;
}
.intro {
  font-style: normal;
  font-weight: normal;
  font: .9rem/1.3rem 'Input Mono', normal;
  padding: 2.8% 5% 3.3% 5%;
  border-top: solid #8BCACC 2px;
  color: #479696;
  background-color: #FEFEFE;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  border-bottom: solid #8BCACC 1rem;
}
.intro p {
  max-width: 42rem;
  margin: .8rem 0;
}
.intro h1 {
  font: 1.4rem/1.2rem 'Input Mono', normal;
  color: #479696;
  text-transform: uppercase;
  margin: 0 0 1rem 0;
  width: auto;
  display: inline-block;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.intro h1 svg {
  font: 1.4rem/1.2rem 'Input Mono', normal;
  margin-bottom: -.8rem;
  margin-right: -.25rem;
  -webkit-transition: all 0.15s ease;
  -moz-transition: all 0.15s ease;
  -ms-transition: all 0.15s ease;
  -o-transition: all 0.15s ease;
}
.intro h1:hover {
  cursor: default;
}
.intro h1:hover svg {
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
}
@media (min-width:46rem) {
  .intro {
    padding: 2.8% 10% 3.3% 10%;
  }
  #bezierSpace {
    padding: 3rem 10% 3rem 10%;
  }
  #inputs {
    margin: 1rem 10% 1rem 10%;
  }
  #exported {
    margin: 1rem 10% 1rem 10%;
  }
  #example {
    margin: 1rem 10% 1rem 10%;
  }
  #units {
    margin: 1rem 10% 1rem 10%;
  }
  footer {
    padding: 0 10%;
  }
  canvas {
    margin-top: 0;
  }
  .instance span {
    opacity: 1;
  }
  label {
    font: .9rem/1.2rem 'Input Mono', normal;
  }
  .codeCurve {
    -webkit-flex: 2 50%;
    -ms-flex: 2 50%;
    flex: 2 50%;
    padding-right: 1rem;
  }
  .graphicCurve {
    -webkit-flex: 2 50%;
    -ms-flex: 2 50%;
    flex: 2 50%;
  }
}